import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ContainerDetailsOverviewComponent } from './container-details-overview.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';

describe('ContainerDetailsOverviewComponent', () => {
  let component: ContainerDetailsOverviewComponent;
  let fixture: ComponentFixture<ContainerDetailsOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ContainerDetailsOverviewComponent],
      imports: [
        RouterTestingModule, HttpClientTestingModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ContainerDetailsOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
